#########################################################################################################
Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>
Name:		ladcca
Version:	0.4.0
Release:	2
Provides:	%{name}
Obsoletes:	%{name} = %{version}
License:	GNU/GPL 
URL:		http://lash-audio-session-handler.org/
Group:		Multimedia
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	ladcca (LASH) is a session management system for JACK and ALSA audio applications on GNU/Linux.
#########################################################################################################
Requires:	jack-audio-connection-kit
BuildRequires:	jack-audio-connection-kit-devel texi2html e2fsprogs-devel
#########################################################################################################

%description
ladcca (LASH) is a session management system for JACK and ALSA audio applications on GNU/Linux.
Its aim is to allow you to have many different audio programs running at once, to save their setup,
close them down and then reload the setup at some other time. LASH doesn't deal with any kind of audio data
itself; it just runs programs, deals with saving/loading (arbitrary) data and connects different kinds of
virtual audio ports together (currently JACK and ALSA sequencer ports.)
For more details see: http://lash-audio-session-handler.org/

%package doc
Summary: 	%{name} docs.
Group:     	%{group}          
Requires: 	%{name} = %{version}-%{release}

%description doc
Documentation files for %{name}.

%package devel
Summary: %{name} development headers.
Group: %{group}            
Requires: %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
				--infodir=%_datadir/info \
				--disable-serv-inst \
				--disable-dependency-tracking
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_datadir/doc/%{name}-%{version}/ladcca-manual-html-split
mkdir -p $RPM_BUILD_ROOT%_datadir/doc/%{name}-%{version}/ladcca-manual-html-one-page
cd docs
cp *.html $RPM_BUILD_ROOT%_datadir/doc/%{name}-%{version}
cp ladcca-manual-html-split/*.html $RPM_BUILD_ROOT%_datadir/doc/%{name}-%{version}/ladcca-manual-html-split
cp ladcca-manual-html-one-page/*.html $RPM_BUILD_ROOT%_datadir/doc/%{name}-%{version}/ladcca-manual-html-one-page
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
/*
%exclude %_includedir
%exclude %_datadir/doc
%exclude %_libdir/*.a
%exclude %_libdir/*.la

%files doc
%defattr(-,root,root)
%_datadir/doc

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jun 25 2005 Christian Wasem <wasem@ccux-linux.de> 0.4.0-2
- rebuild for readline, move static files to devel
* Sat Feb 05 2005 Christian Wasem <wasem@ccux-linux.de> 0.4.0-1
- Initial Release  
